Summary:	An elegant music client for MPD
Name:		sonata
Epoch:		1
Version:	1.7.0
Release:	%mkrel 7
License:	GPLv2+
Group:		Sound/Players
Url:		https://www.nongnu.org/sonata/
Source0:	https://github.com/multani/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	norwegian-nb.po
BuildArch:	noarch
BuildRequires:	perl(XML::Parser)
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3-devel
Recommends:	mpd
Requires:	python3-dbus
Requires:	python3-gobject3
Requires:       python3-mpd2
Requires:	python3-tagpy

%description
Sonata is an elegant GTK+ music client for the Music Player Daemon (MPD).

%prep
%setup -q

install -m644 %{SOURCE1} po/nb.po

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files  sonata

mkdir -p %{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_docdir}/%{name}
mkdir -p %{buildroot}%{_mandir}
install -m644 sonata/pixmaps/%{name}.png -D %{buildroot}%{_datadir}/pixmaps/%{name}.png
rm -f %{buildroot}%{_datadir}/%{name}/{CHANGELOG,README.rst,TODO,TRANSLATORS}

%find_lang %{name}

%files -f %{name}.lang -f %{pyproject_files}
%doc CHANGELOG README.rst TODO TRANSLATORS PLUGINS.rst
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*


%changelog
* Sun Jul 06 2025 umeabot <umeabot> 1:1.7.0-7.mga10
+ Revision: 2247483
- Mageia 10 Mass Rebuild

* Tue Mar 11 2025 papoteur <papoteur> 1:1.7.0-6.mga10
+ Revision: 2162885
- rebuild for python3.13

* Thu Jan 11 2024 papoteur <papoteur> 1:1.7.0-5.mga10
+ Revision: 2029891
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1:1.7.0-4.mga9
+ Revision: 1822982
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 1:1.7.0-3.mga9
+ Revision: 1778513
- Rebuild for python-3.10

* Wed Mar 24 2021 tv <tv> 1:1.7.0-2.mga9
+ Revision: 1708757
- rebuild for python 3.9

* Sat Dec 26 2020 solbu <solbu> 1:1.7.0-1.mga8
+ Revision: 1663816
- New version: 1.7.0

* Wed Nov 18 2020 luigiwalser <luigiwalser> 1:1.7b1-8.mga8
+ Revision: 1647078
- python3-mpd replaced with python3-mpd2

* Wed Nov 11 2020 solbu <solbu> 1:1.7b1-7.mga8
+ Revision: 1644554
- mpd is not required on the local system, replace Requires with Recommends

* Sun Feb 16 2020 umeabot <umeabot> 1:1.7b1-6.mga8
+ Revision: 1533971
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 1:1.7b1-5.mga8
+ Revision: 1446181
- rebuild for python3.8

* Sat Mar 09 2019 wally <wally> 1:1.7b1-4.mga7
+ Revision: 1373341
- drop unneeded gtk2 and python2 requires and buildrequires
- require mpd

* Fri Jan 11 2019 daviddavid <daviddavid> 1:1.7b1-3.mga7
+ Revision: 1355045
- rebuild for new Python 3.7

* Mon Oct 01 2018 umeabot <umeabot> 1:1.7b1-2.mga7
+ Revision: 1314204
- Mageia 7 Mass Rebuild
+ solbu <solbu>
- List of features doesn't belong in the %%description
- New version: 1.7b1
- Drop no longer relevant Patch0

* Mon Feb 08 2016 umeabot <umeabot> 1:1.6.2.1-13.mga6
+ Revision: 947781
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.6.2.1-12.mga5
+ Revision: 741221
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:1.6.2.1-11.mga5
+ Revision: 730169
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:1.6.2.1-10.mga5
+ Revision: 689242
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1:1.6.2.1-8.mga4
+ Revision: 544536
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1:1.6.2.1-7.mga4
+ Revision: 499886
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jan 14 2013 umeabot <umeabot> 1:1.6.2.1-6.mga3
+ Revision: 382297
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 jquelin <jquelin> 1:1.6.2.1-5.mga3
+ Revision: 322331
- rpm group change

* Wed Aug 24 2011 jquelin <jquelin> 1:1.6.2.1-4.mga2
+ Revision: 135143
- make sure cauldron version is higher

* Thu Jul 14 2011 eugeni <eugeni> 1:1.6.2.1-3.mga2
+ Revision: 123893
- Sonata needs gnome-python-gnomevfs to start.

* Tue Jun 28 2011 misc <misc> 1:1.6.2.1-2.mga2
+ Revision: 115349
- add patch to fix link
+ jquelin <jquelin>
- imported package sonata


* Mon Nov 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1:1.6.2.1-2mdv2011.0
+ Revision: 591516
- rebuild for python-2.7

* Wed Sep 23 2009 Eugeni Dodonov <eugeni@mandriva.com> 1:1.6.2.1-1mdv2010.0
+ Revision: 447798
- Updated to 1.6.2.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 1:1.6.2-3mdv2010.0
+ Revision: 445163
- rebuild

* Tue Apr 21 2009 Eugeni Dodonov <eugeni@mandriva.com> 1:1.6.2-2mdv2009.1
+ Revision: 368542
- Updated to 1.6.2.

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 1:1.5.3-2mdv2009.1
+ Revision: 326007
- rebuild

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 1:1.5.3-1mdv2009.1
+ Revision: 291815
- New version 1.5.3

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1:1.5.2-2mdv2009.0
+ Revision: 269342
- rebuild early 2009.0 package (before pixel changes)

* Fri Jun 06 2008 Jérôme Soyer <saispo@mandriva.org> 1:1.5.2-1mdv2009.0
+ Revision: 216417
- New release 1.5.2

* Mon May 05 2008 Funda Wang <fwang@mandriva.org> 1:1.5.1-2mdv2009.0
+ Revision: 201237
- requires python-mpd (bug#40560)

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 1:1.5.1-1mdv2009.0
+ Revision: 200847
- New version 1.5.1

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 1:1.5-1mdv2009.0
+ Revision: 200620
- New version 1.5

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 1:1.4.2-1mdv2008.1
+ Revision: 164570
- New version 1.4.2

* Sun Feb 03 2008 Funda Wang <fwang@mandriva.org> 1:1.4.1-1mdv2008.1
+ Revision: 161643
- New version 1.4.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 23 2007 Jérôme Soyer <saispo@mandriva.org> 1:1.3-2mdv2008.1
+ Revision: 111686
- Fix Requires mistake

* Fri Nov 23 2007 Jérôme Soyer <saispo@mandriva.org> 1:1.3-1mdv2008.1
+ Revision: 111591
- import sonata


